org.apache.olingo.odata2.api.client.batch

## Class BatchQueryPart

- java.lang.Object
- - org.apache.olingo.odata2.api.client.batch.BatchQueryPart

- All Implemented Interfaces:
    BatchPart

      public abstract class BatchQueryPart
      extends Object
      implements BatchPart

  A BatchQueryPart

  BatchQueryPart represents a single retrieve request

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BatchQueryPart.BatchQueryPartBuilder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BatchQueryPart()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BatchQueryPart.BatchQueryPartBuilder` | `contentId(String contentId)`
    `abstract String` | `getContentId()`
    `abstract Map<String,String>` | `getHeaders()`
    `abstract String` | `getMethod()`
    `abstract String` | `getUri()`
    `static BatchQueryPart.BatchQueryPartBuilder` | `headers(Map<String,String> headers)`
    `static BatchQueryPart.BatchQueryPartBuilder` | `method(String method)`
    `static BatchQueryPart.BatchQueryPartBuilder` | `newBuilder()`
    `static BatchQueryPart.BatchQueryPartBuilder` | `uri(String uri)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BatchQueryPart

          public BatchQueryPart()

  - ### Method Detail

    - #### getHeaders

          public abstract Map<String,String> getHeaders()

    - #### getUri

          public abstract String getUri()

    - #### getMethod

          public abstract String getMethod()

    - #### getContentId

          public abstract String getContentId()

    - #### headers

          public static BatchQueryPart.BatchQueryPartBuilder headers(Map<String,String> headers)

      Parameters:
        `headers` -
      Returns:
        a new builder object

    - #### uri

          public static BatchQueryPart.BatchQueryPartBuilder uri(String uri)

      Parameters:
        `uri` - should not be null
      Returns:
        a new builder object

    - #### method

          public static BatchQueryPart.BatchQueryPartBuilder method(String method)

      Parameters:
        `method` - MUST be the HTTP GET method
      Returns:
        a new builder object

    - #### contentId

          public static BatchQueryPart.BatchQueryPartBuilder contentId(String contentId)

      Parameters:
        `contentId` - can be used to identify the different request within a the batch
      Returns:
        a new builder object

    - #### newBuilder

          public static BatchQueryPart.BatchQueryPartBuilder newBuilder()

      Returns:
        returns a new builder object

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.